# Screen brightness set

An action block that sets the screen brightness settings.

The fiber will proceed immediately without pause.

Note! The adjustment value isn’t officially supported, may not work on all devices.

## Input arguments

- Automatic — whether screen brightness should be automatically adjusted.
- Brightness — screen brightness in percent.
- Scale — screen brightness scale, use Logarithmic to match the Android 9 brightness slider, default is Linear.
- Adjustment — automatic adjustment limit in signed percent (-100—100%). (Android 4.1+)